<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.probekit.ui"
   name="Probekit UI"
   version="3.0.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.probekit.ui.ProbekitUI">

   <runtime>
      <library name="probekit.ui.jar"/>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.probekit"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="org.eclipse.jface"/>
   </requires>


   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.core.resources.IFile"
            nameFilter="*.probe"
            id="ProbekitUI.contribution1">
         <menu
               label="Probekit"
               path="additions"
               id="ProbekitUI.menu1">
            <separator
                  name="group1">
            </separator>
         </menu>
         <action
               label="Compile"
               class="org.eclipse.hyades.probekit.ui.popup.actions.ProbekitUICompileAction"
               menubarPath="ProbekitUI.menu1/group1"
               enablesFor="1"
               id="ProbekitUI.newAction">
         </action>
      </objectContribution>
   </extension>

</plugin>
